﻿@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());
    Layout = null;
}
<script>
    // handle context menu clicks.
    var documentName = ["id:id:string", "Element:Element:string:22.3%", "Quantite_Casier:Quantité Casier:number:15%:sum", "Quantite_Bouteille:Quantité Bouteille:number:15%:sum", "Montant_Achat:Montant Achat:number:15%:sum", "Montant_Vente:Montant Vente:number:15%:sum", "Ecart:Bénéfice Brut:number:15%:sum"];
</script>

<input id="LoardUrl" value="/Rapport/AjaxChiffreAffaire" type="hidden" />
<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Sélectionnez un seul enrégistrement !
        </div>
    </div>
</div>
<div id="confirm">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Voulez-vous confirmer cette action ?
        </div>
        <div class="boutons">
            <br />
            <button title="OK" type="button" id="ok" class="btn btn-default oufbutton"><i class="ouf-ok"></i>OK</button>
            <button title="Annuler" type="button" id="annuler" class="btn btn-default oufbutton"><i class="ouf-cancel"></i>Annuler</button>
        </div>
    </div>
</div>

<span style="font-weight: bold"></span>
<div class="boutons text-left">
    <table>
        <tr>
            <td>@HTML_OUF.DropDownList("Type", int.Parse(Session["ID_Element"].ToString()), TempData["Type"] as SelectList, "150") </td>
            <td>@Html.Partial("Filtre")</td> 
            <td>
                <button title='Tableau' id='tableau' class='btn btn-default'><i class='ouf-ok'></i>Tableau</button>
            </td>
            <td>
                <button title='Graphe' id='graphe' class='btn btn-default'><i class='ouf-ok'></i>Graphe</button>
            </td>    
        </tr>
    </table>

</div>
<div id="grades"></div>
<div id='Menu'>
    <ul>
    </ul>
</div>
<script>
    var Graphe = function (urlRecherche) {
        // prepare chart data as an array
        var source =
            {
                datatype: "json",
                datafields: [
                    { name: 'Element' },
                    { name: 'QteProduit' },
                    { name: 'Montant_Achat' },
                    { name: 'Montant_Vente' }
                ],
                url: '/Rapport/AjaxChiffreAffaire'
            };
        var dataAdapter = new $.jqx.dataAdapter(source, { async: false, autoBind: true, loadError: function (xhr, status, error) { alert('Error loading "' + source.url + '" : ' + error); } });
        // prepare jqxChart settings
        var settings = {
            title: "Chiffre d'affaire",
            description: "Ensemble des ventes en fonction de la famille, du client ou du produit",
            showLegend: true,
            enableAnimations: true,
            padding: { left: 5, top: 5, right: 5, bottom: 5 },
            titlePadding: { left: 90, top: 0, right: 0, bottom: 10 },
            source: dataAdapter,
            xAxis:
            {
                labels: { verticalAlignment: 'center', angle: '-90' },
                gridLines: { visible: true },
                valuesOnTicks: true,
                dataField: 'Element'
            },
            colorScheme: 'scheme01',
            columnSeriesOverlap: false,
            seriesGroups:
            [
                {
                    type: 'column',
                    valueAxis:
                    {
                        visible: true,
                        unitInterval: 50000,
                        title: { text: 'Montant(F CFA)<br>' }
                    },
                    series: [
                        { dataField: 'Montant_Achat', displayText: 'Montant Achat' },
                        { dataField: 'Montant_Vente', displayText: 'Montant Vente' }
                    ]
                },
                {
                    type: 'line',
                    valueAxis:
                    {
                        visible: true,
                        position: 'right',
                        unitInterval: 10,
                        title: { text: 'Quantite (Casier)' },
                        gridLines: { visible: false },
                        labels: { horizontalAlignment: 'left' }
                    },
                    series: [
                        { dataField: 'QteProduit', displayText: 'Nombre de Casier' }
                    ]
                }
            ]
        };
        // setup the chart
        $('#chartContainer').jqxChart(settings);
    };
</script>

<div id='chartContainer' style="width:1150px; height:700px">  </div>

<script>
    $('#chartContainer').hide();
    $("#tableau").on('click', function (event) {
        $('#grades').show();
        $('#chartContainer').hide();
    });
    $("#graphe").on('click', function (event) {
        $('#grades').hide();
        $('#chartContainer').show();

        $("#loaderSpace,#loader").show();
        Graphe();
        $("#loaderSpace,#loader").hide();
    });

    $("#C_Type").off("change");
    $("#C_Type").on('change', function (event) {
        var urlRecherche = "/Base/ChangerElment/" + $("#Type").val();
        Rechercher(urlRecherche);
        Graphe();
        return false;
    });

    Rechercher = function (urlRecherche) {
        $("#loaderSpace,#loader").show();
        $.ajax({
            url: urlRecherche,
            type: 'GET',
            dataType: 'json'
        })
            .success(function (response) {
                var grids = $("#grades")
                grids.jqxGrid('updatebounddata', 'cells');
                grids.jqxGrid('clearselection');
                $("#loaderSpace,#loader").hide();
            })
            .error(function () {
                alert('echeck');
                $("#loaderSpace,#loader").hide();
            });
    };
</script> 
